/*******************************************************************************
 * Copyright (c) 2004 Actuate Corporation.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *  Actuate Corporation  - initial API and implementation
 *******************************************************************************/

package org.eclipse.birt.report.engine.emitter.postscript;

import org.eclipse.birt.report.engine.api.RenderOption;


public class PostscriptRenderOption extends RenderOption
{
	public static final String PS_LEVEL = "psLevel";

	public static final String OPTION_PAPER_SIZE = "OptionPagerSize";

	public static final String OPTION_PAPER_TRAY = "OptionPageTray";

	public static final String OPTION_DUPLEX = "OptionDuplex";

	public static final String OPTION_COPIES = "OptionCopies";

	public static final String OPTION_COLLATE = "OptionCollate";

	/**
	 * Sets postscript level.
	 * 
	 * @param level
	 */
	public void setPostscriptLevel( int level )
	{
		options.put( PS_LEVEL, new Integer( level ) );
	}

	/**
	 * Gets postscript level.
	 */
	public int getPostscriptLevel( )
	{
		return getIntOption( PS_LEVEL, 1 );
	}

	public void setPaperSize( String paperSize )
	{
		options.put( OPTION_PAPER_SIZE, paperSize );
	}

	public String getPaperSize( )
	{
		return getStringOption( OPTION_PAPER_SIZE );
	}

	public void setPaperTray( String paperTray )
	{
		options.put( OPTION_PAPER_TRAY, paperTray );
	}

	public String getPaperTray( )
	{
		return getStringOption( OPTION_PAPER_TRAY );
	}

	public void setDuplex( String duplex )
	{
		options.put( OPTION_DUPLEX, duplex );
	}

	public String getDuplex( )
	{
		return getStringOption( OPTION_DUPLEX );
	}

	public void setCopies( int copies )
	{
		options.put( OPTION_COPIES, copies );
	}

	public int getCopies( )
	{
		return getIntOption( OPTION_COPIES, 1 );
	}

	public void setCollate( boolean collate )
	{
		options.put( OPTION_COLLATE, collate );
	}

	public boolean getCollate( )
	{
		return getBooleanOption( OPTION_COLLATE, false );
	}
}
